import Foundation

struct Currency_Symbol_Array : Codable {
    
	let USD : String?
	let EUR : String?
	let JPY : String?
	let TRY : String?
	let GBP : String?
	let RUB : String?
	let PLN : String?
	let ILS : String?
	let BRL : String?
	let INR : String?

	enum CodingKeys: String, CodingKey {
		case USD = "USD"
		case EUR = "EUR"
		case JPY = "JPY"
		case TRY = "TRY"
		case GBP = "GBP"
		case RUB = "RUB"
		case PLN = "PLN"
		case ILS = "ILS"
		case BRL = "BRL"
		case INR = "INR"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
        USD = try values.decodeIfPresent(String.self, forKey: .USD)
        EUR = try values.decodeIfPresent(String.self, forKey: .EUR)
        JPY = try values.decodeIfPresent(String.self, forKey: .JPY)
        TRY = try values.decodeIfPresent(String.self, forKey: .TRY)
        GBP = try values.decodeIfPresent(String.self, forKey: .GBP)
        RUB = try values.decodeIfPresent(String.self, forKey: .RUB)
        PLN = try values.decodeIfPresent(String.self, forKey: .PLN)
        ILS = try values.decodeIfPresent(String.self, forKey: .ILS)
        BRL = try values.decodeIfPresent(String.self, forKey: .BRL)
        INR = try values.decodeIfPresent(String.self, forKey: .INR)
	}

}
